CFPRIME TUPRT                                                           TUPRT       1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE  TUPRT(IUX,I)                                          TUPRT       3
CD                                                                      TUPRT       4
CD    TO TABULATE DATA FOR THE UDC BLOCK TYPE PRINT                     TUPRT       5
CD                                                                      TUPRT       6
      INCLUDE 'PARX.INS'                                                TUPRT       7
      INCLUDE 'UDCA.INS'                                                TUPRT       8
      INCLUDE 'UDCD.INS'                                                TUPRT       9
      INCLUDE 'UDCE.INS'                                                TUPRT      10
      INCLUDE 'UDCF.INS'                                                TUPRT      11
      INCLUDE 'UDCH.INS'                                                TUPRT      12
      INCLUDE 'GRDC01.INS'                                              TUPRT      13
      INCLUDE 'CNIPTR.INS'                                              TUPRT      14
      INCLUDE 'CNSTN.INS'                                               TUPRT      15
      INCLUDE 'CNFLAG.INS'                                              TUPRT      16
C                                                                       TUPRT      17
      CHARACTER*128 CDATA(100)                                          TUPRT      18
      CHARACTER*17  BNAME                                               TUPRT      19
      CHARACTER*8   SNAME, TNAME                                        TUPRT      20
C                                                                       TUPRT      21
      LDEB=.FALSE.                                                      TUPRT      22
C                                                                       TUPRT      23
      NUMSRC = 4                                                        TUPRT      24
      SEARCH(2) = 'DESTINATION:'                                        TUPRT      25
      SEARCH(3) = 'INPUT:'                                              TUPRT      26
      SEARCH(4) = 'MESSAGE:'                                            TUPRT      27
C                                                                       TUPRT      28
      NEXTI=IUNIPT(I)                                                   TUPRT      29
      NEXTP=IUDPPT(I)                                                   TUPRT      30
      IF(NEXTI.NE.0)THEN                                                TUPRT      31
         WRITE(CDATA(2),'(I4)') IUDINT(NEXTI)                           TUPRT      32
      ENDIF                                                             TUPRT      33
C                                                                       TUPRT      34
      NEXTI=IUDINX(NEXTI)                                               TUPRT      35
      NEXTP=IUDPNX(NEXTP)                                               TUPRT      36
      IF(NEXTI.NE.0) CDATA(3)=UIDENT(NEXTI)                             TUPRT      37
      IF(CDATA(3).EQ.' '.AND.NEXTP.NE.0)THEN                            TUPRT      38
         WRITE(CDATA(3),'(F15.6)') UDPARM(NEXTP)                        TUPRT      39
      ENDIF                                                             TUPRT      40
C                                                                       TUPRT      41
      NEXTC=IUDCPT(I)                                                   TUPRT      42
      IF(NEXTC.NE.0) CDATA(4)=UDCCHR(NEXTC)                             TUPRT      43
C                                                                       TUPRT      44
      SNAME = SBPRT(IUDSUB(I))                                          TUPRT      45
C                                                                       TUPRT      46
C  ------------------------------------------------------               TUPRT      47
C                                                                       TUPRT      48
C                                                                       TUPRT      49
8000  CONTINUE                                                          TUPRT      50
C                                                                       TUPRT      51
      SEARCH(1)='PRINT FLAG:'                                           TUPRT      52
      CDATA(1)='N'                                                      TUPRT      53
      IF (UDPRNT(I)) CDATA(1)='P'                                       TUPRT      54
C                                                                       TUPRT      55
      TNAME = TPNAME(IUDTYP(I))                                         TUPRT      56
      BNAME = UDNAME(I)                                                 TUPRT      57
      LEN = IUDLEN(I)                                                   TUPRT      58
      WRITE (IUX,9006) I,BNAME(1:LEN),TNAME,SNAME                       TUPRT      59
C                                                                       TUPRT      60
8050  DO 8600 J = 1, NUMSRC                                             TUPRT      61
         WRITE (IUX,9016) SEARCH(J), CDATA(J)(1:100)                    TUPRT      62
         CDATA(J)=' '                                                   TUPRT      63
8600  CONTINUE                                                          TUPRT      64
C                                                                       TUPRT      65
      RETURN                                                            TUPRT      66
C                                                                       TUPRT      67
9006  FORMAT (/, 1X, 'BLOCK #',I4,' NAME: ', A,                         TUPRT      68
     1           10X, 'TYPE:     ', A, 10X, 'SUBTYPE:  ', A)            TUPRT      69
9010  FORMAT (A,I2,':')                                                 TUPRT      70
C9016  FORMAT (5X, A, 5X, A)                                            TUPRT      71
9016  FORMAT (5X, A, 5X, 100A)                                          TUPRT      72
9020  FORMAT (/, 1X, 'BLOCK #',I4,' NAME: ', A,                         TUPRT      73
     1          10X, 'TYPE:     ', A)                                   TUPRT      74
C                                                                       TUPRT      75
      END                                                               TUPRT      76
